happstack-server-7.1.7: Web related tools and services.

Safe Haskell | None

Happstack.Server.Internal.TimeoutManager

Synopsis

- data Manager
- data Handle
- initialize :: Int -> IO Manager
- register :: Manager -> IO () -> IO Handle
- registerKillThread :: Manager -> IO Handle
- tickle :: Handle -> IO ()
- pause :: Handle -> IO ()
- resume :: Handle -> IO ()
- cancel :: Handle -> IO ()

# Documentation

data Manager

A timeout manager

data Handle

initialize :: Int -> IO Manager

register :: Manager -> IO () -> IO Handle

registerKillThread :: Manager -> IO Handle

tickle :: Handle -> IO ()

pause :: Handle -> IO ()

resume :: Handle -> IO ()

cancel :: Handle -> IO ()